Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::Matrix44 Class Reference

4×4行列 More...

`#include <Matrix44.h>`

List of all members.

## Public Member Functions
| Matrix44 ()
| コンストラクタ
| Matrix44 (float i00, float i01, float i02, float i03, float i10, float i11, float i12, float i13, float i20, float i21, float i22, float i23, float i30, float i31, float i32, float i33)
| コンストラクタ
| Matrix44 (const float *const source)
| コンストラクタ
void | set (float s00, float s01, float s02, float s03, float s10, float s11, float s12, float s13, float s20, float s21, float s22, float s23, float s30, float s31, float s32, float s33)
| 値の設定
void | set (const float *const source)
| 値の設定
void | setZero ()
| ゼロ行列設定
void | setUnit ()
| 単位行列設定
void | set (const Matrix33 &source)
| 3×3行列の設定
void | set (const Matrix34 &source)
| 3×4行列の設定
void | setScale (float scaleX, float scaleY, float scaleZ)
| スケールの設定
void | setScale (const Vector3 &scale)
| スケールの設定
void | addScale (float scaleX, float scaleY, float scaleZ)
| スケールの追加
void | addScale (const Vector3 &scale)
| スケールの追加
void | setRotationX (float radian)
| X軸回転の設定.
void | addRotationX (float radian)
| X軸回転の追加.
void | setRotationY (float radian)
| Y軸回転の設定.
void | addRotationY (float radian)
| Y軸回転の追加.
void | setRotationZ (float radian)
| Z軸回転の設定.
void | addRotationZ (float radian)
| Z軸回転の追加.
void | setRotationAxis (const Vector3 &axis, float radian)
| 軸指定回転の設定
void | addRotationAxis (const Vector3 &axis, float radian)
| 軸指定回転の追加
void | getRotationAxis (Vector3 *axis, float *radian) const
| 軸指定回転の取得
void | setRotationQuaternion (const Quaternion &quaternion)
| 四元数回転の設定
void | addRotationQuaternion (const Quaternion &quaternion)
| 四元数回転の追加
Quaternion | getRotationQuaternion () const
| 四元数回転の取得
void | setRotationXYZ (const Vector3 &radian)
| XYZ軸回転の設定.
void | addRotationXYZ (const Vector3 &radian)
| XYZ軸回転の追加.
bool | getRotationXYZ (Vector3 *radian) const
| XYZ軸回転の取得.
void | setRotationXZY (const Vector3 &radian)
| XZY軸回転の設定.
void | addRotationXZY (const Vector3 &radian)
| XZY軸回転の追加.
bool | getRotationXZY (Vector3 *radian) const
| XZY軸回転の取得.
void | setRotationYXZ (const Vector3 &radian)
| YXZ軸回転の設定.
void | addRotationYXZ (const Vector3 &radian)
| YXZ軸回転の追加.
bool | getRotationYXZ (Vector3 *radian) const
| YXZ軸回転の取得.
void | setRotationYZX (const Vector3 &radian)
| YZX軸回転の設定.
void | addRotationYZX (const Vector3 &radian)
| YZX軸回転の追加.
bool | getRotationYZX (Vector3 *radian) const
| YZX軸回転の取得.
void | setRotationZXY (const Vector3 &radian)
| ZXY軸回転の設定.
void | addRotationZXY (const Vector3 &radian)
| ZXY軸回転の追加.
bool | getRotationZXY (Vector3 *radian) const
| ZXY軸回転の取得.
void | setRotationZYX (const Vector3 &radian)
| ZYX軸回転の設定.
void | addRotationZYX (const Vector3 &radian)
| ZYX軸回転の追加.
bool | getRotationZYX (Vector3 *radian) const
| ZYX軸回転の取得.
void | setTranslation (float translationX, float translationY, float translationZ)
| 移動の設定
void | setTranslation (const Vector3 &translation)
| 移動の設定
void | addTranslation (float translationX, float translationY, float translationZ)
| 移動の追加
void | addTranslation (const Vector3 &translation)
| 移動の追加
Vector3 | getTranslation () const
| 移動の取得
void | setTransformationXYZ (const Vector3 &radian, const Vector3 &translation)
| XYZ回転の変換設定.
void | addTransformationXYZ (const Vector3 &radian, const Vector3 &translation)
| XYZ回転の変換追加.
void | setTransformationXYZ (const Vector3 &scale, const Vector3 &radian, const Vector3 &translation)
| XYZ回転の変換設定.
void | addTransformationXYZ (const Vector3 &scale, const Vector3 &radian, const Vector3 &translation)
| XYZ回転の変換追加.
void | setTransformationQuaternion (const Quaternion &quaternion, const Vector3 &translation)
| 四元数回転の変換設定
void | addTransformationQuaternion (const Quaternion &quaternion, const Vector3 &translation)
| 四元数回転の変換追加
void | setTransformationQuaternion (const Vector3 &scale, const Quaternion &quaternion, const Vector3 &translation)
| 四元数回転の変換設定
void | addTransformationQuaternion (const Vector3 &scale, const Quaternion &quaternion, const Vector3 &translation)
| 四元数回転の変換追加
Matrix44 | operator * (const Matrix44 &mtx) const
| 行列乗算
Matrix44 & | operator *= (Matrix44 mtx)
| 代入行列乗算
Vector3 | operator * (const Vector3 &vector) const
| ベクトル乗算
Vector3 | multiply33 (const Vector3 &vector) const
| 3x3のベクトル乗算
Matrix44 | operator * (float value) const
| スカラー乗算
Matrix44 & | operator *= (float value)
| スカラー乗算
void | transpose ()
| 転置
float | determinant () const
| 行列式
float | invert ()
| 逆行列
float | invert (Matrix44 *invertMatrix) const
| 逆行列
void | invertTransformation ()
| 変換行列の逆行列
void | invertTransformation (Matrix44 *invertMatrix) const
| 変換行列の逆行列
bool | operator== (const Matrix44 &target) const
| 行列が同じかどうか
bool | epsilonEquals (const Matrix44 &target, float epsilon) const
| 行列が同じかどうか
bool | operator!= (const Matrix44 &target) const
| 行列が同じでないかどうか
bool | notEpsilonEquals (const Matrix44 &target, float epsilon) const
| 行列が同じでないかどうか
String | toString () const
| 文字列化
## Static Public Attributes
const Matrix44 | zero
| ゼロ行列
const Matrix44 | unit
| 単位行列

## Detailed Description

4×4行列

右手座標系を使用します。 このクラスは継承しないで下さい。

Definition at line 43 of file Matrix44.h.

## Constructor & Destructor Documentation

Lamp::Matrix44::Matrix44 | ( |  | ) | `[inline]`

| コンストラクタ このコンストラクタは初期値の設定を行わないため値は不定です。 Definition at line 110 of file Matrix44.h. Referenced by operator *().

Lamp::Matrix44::Matrix44 | ( | float | i00,
|  | float | i01,
|  | float | i02,
|  | float | i03,
|  | float | i10,
|  | float | i11,
|  | float | i12,
|  | float | i13,
|  | float | i20,
|  | float | i21,
|  | float | i22,
|  | float | i23,
|  | float | i30,
|  | float | i31,
|  | float | i32,
|  | float | i33
| ) | `[inline]`

  | コンストラクタ Parameters:
  i00 | m00の初期値
  i01 | m01の初期値
  i02 | m02の初期値
  i03 | m03の初期値
  i10 | m10の初期値
  i11 | m11の初期値
  i12 | m12の初期値
  i13 | m13の初期値
  i20 | m20の初期値
  i21 | m21の初期値
  i22 | m22の初期値
  i23 | m23の初期値
  i30 | m30の初期値
  i31 | m31の初期値
  i32 | m32の初期値
  i33 | m33の初期値
Definition at line 131 of file Matrix44.h. References m00, m01, m02, m03, m10, m11, m12, m13, m20, m21, m22, m23, m30, m31, m32, and m33.

Lamp::Matrix44::Matrix44 | ( | const float *const | source | ) | `[inline, explicit]`

  | コンストラクタ Parameters:
  source | 初期値配列
Definition at line 146 of file Matrix44.h. References m00, m01, m02, m03, m10, m11, m12, m13, m20, m21, m22, m23, m30, m31, m32, and m33.

## Member Function Documentation

void Lamp::Matrix44::addRotationAxis | ( | const Vector3 & | axis,
|  | float | radian
| ) | `[inline]`

  | 軸指定回転の追加 Parameters:
  axis | 回転軸
  radian | ラジアン単位での回転角度
Definition at line 380 of file Matrix44.h. References setRotationAxis().

void Lamp::Matrix44::addRotationQuaternion | ( | const Quaternion & | quaternion | ) | `[inline]`

  | 四元数回転の追加 Parameters:
  quaternion | 四元数
Definition at line 474 of file Matrix44.h. References setRotationQuaternion(). Referenced by Lamp::Camera::setTransformation().

void Lamp::Matrix44::addRotationX | ( | float | radian | ) | `[inline]`

  | X軸回転の追加. Parameters:
  radian | ラジアン単位での回転角度
Definition at line 295 of file Matrix44.h. References setRotationX(). Referenced by setRotationYXZ(), setRotationYZX(), setRotationZXY(), and setRotationZYX().

void Lamp::Matrix44::addRotationXYZ | ( | const Vector3 & | radian | ) | `[inline]`

  | XYZ軸回転の追加. Parameters:
  radian | 各軸におけるラジアン単位での回転角度
Definition at line 550 of file Matrix44.h. References setRotationXYZ().

void Lamp::Matrix44::addRotationXZY | ( | const Vector3 & | radian | ) | `[inline]`

  | XZY軸回転の追加. Parameters:
  radian | 各軸におけるラジアン単位での回転角度
Definition at line 597 of file Matrix44.h. References setRotationXZY().

void Lamp::Matrix44::addRotationY | ( | float | radian | ) | `[inline]`

  | Y軸回転の追加. Parameters:
  radian | ラジアン単位での回転角度
Definition at line 319 of file Matrix44.h. References setRotationY(). Referenced by setRotationXZY(), setRotationZXY(), and setRotationZYX().

void Lamp::Matrix44::addRotationYXZ | ( | const Vector3 & | radian | ) | `[inline]`

  | YXZ軸回転の追加. Parameters:
  radian | 各軸におけるラジアン単位での回転角度
Definition at line 644 of file Matrix44.h. References setRotationYXZ().

void Lamp::Matrix44::addRotationYZX | ( | const Vector3 & | radian | ) | `[inline]`

  | YZX軸回転の追加. Parameters:
  radian | 各軸におけるラジアン単位での回転角度
Definition at line 691 of file Matrix44.h. References setRotationYZX().

void Lamp::Matrix44::addRotationZ | ( | float | radian | ) | `[inline]`

  | Z軸回転の追加. Parameters:
  radian | ラジアン単位での回転角度
Definition at line 343 of file Matrix44.h. References setRotationZ(). Referenced by setRotationXZY(), setRotationYXZ(), and setRotationYZX().

void Lamp::Matrix44::addRotationZXY | ( | const Vector3 & | radian | ) | `[inline]`

  | ZXY軸回転の追加. Parameters:
  radian | 各軸におけるラジアン単位での回転角度
Definition at line 738 of file Matrix44.h. References setRotationZXY().

void Lamp::Matrix44::addRotationZYX | ( | const Vector3 & | radian | ) | `[inline]`

  | ZYX軸回転の追加. Parameters:
  radian | 各軸におけるラジアン単位での回転角度
Definition at line 785 of file Matrix44.h. References setRotationZYX(). Referenced by Lamp::Camera::setTransformation().

void Lamp::Matrix44::addScale | ( | const Vector3 & | scale | ) | `[inline]`

  | スケールの追加 Parameters:
  scale | スケール値
Definition at line 269 of file Matrix44.h. References setScale(), Lamp::Vector3::x, Lamp::Vector3::y, and Lamp::Vector3::z.

void Lamp::Matrix44::addScale | ( | float | scaleX,
|  | float | scaleY,
|  | float | scaleZ
| ) | `[inline]`

  | スケールの追加 Parameters:
  scaleX | Xスケール値
  scaleY | Yスケール値
  scaleZ | Zスケール値
Definition at line 259 of file Matrix44.h. References setScale(). Referenced by Lamp::SpriteRenderer::applyRendererState().

void Lamp::Matrix44::addTransformationQuaternion | ( | const Vector3 & | scale,
|  | const Quaternion & | quaternion,
|  | const Vector3 & | translation
| ) | `[inline]`

  | 四元数回転の変換追加 スケール、四元数回転、移動の順に変換を追加します Parameters:
  scale | スケール値
  translation | 移動値
  quaternion | 四元数
Definition at line 1087 of file Matrix44.h. References setTransformationQuaternion().

void Lamp::Matrix44::addTransformationQuaternion | ( | const Quaternion & | quaternion,
|  | const Vector3 & | translation
| ) | `[inline]`

  | 四元数回転の変換追加 四元数回転、移動の順に変換を追加します Parameters:
  translation | 移動値
  quaternion | 四元数
Definition at line 1027 of file Matrix44.h. References setTransformationQuaternion().

void Lamp::Matrix44::addTransformationXYZ | ( | const Vector3 & | scale,
|  | const Vector3 & | radian,
|  | const Vector3 & | translation
| ) | `[inline]`

  | XYZ回転の変換追加. スケール、XYZ回転、移動の順に変換を追加します Parameters:
  scale | スケール値
  radian | 各軸におけるラジアン単位での回転角度
  translation | 移動値
Definition at line 969 of file Matrix44.h. References setTransformationXYZ().

void Lamp::Matrix44::addTransformationXYZ | ( | const Vector3 & | radian,
|  | const Vector3 & | translation
| ) | `[inline]`

  | XYZ回転の変換追加. XYZ回転、移動の順に変換を追加します Parameters:
  radian | 各軸におけるラジアン単位での回転角度
  translation | 移動値
Definition at line 916 of file Matrix44.h. References setTransformationXYZ().

void Lamp::Matrix44::addTranslation | ( | const Vector3 & | translation | ) | `[inline]`

  | 移動の追加 Parameters:
  translation | 移動値
Definition at line 858 of file Matrix44.h. References setTranslation(), Lamp::Vector3::x, Lamp::Vector3::y, and Lamp::Vector3::z.

void Lamp::Matrix44::addTranslation | ( | float | translationX,
|  | float | translationY,
|  | float | translationZ
| ) | `[inline]`

  | 移動の追加 Parameters:
  translationX | X移動値
  translationY | Y移動値
  translationZ | Z移動値
Definition at line 847 of file Matrix44.h. References setTranslation().

float Lamp::Matrix44::determinant | ( |  | ) | const`[inline]`

| 行列式 Returns: 行列式 Definition at line 1262 of file Matrix44.h. References m00, m01, m02, m03, m10, m11, m12, m13, m20, m21, m22, m23, m30, m31, m32, and m33.

bool Lamp::Matrix44::epsilonEquals | ( | const Matrix44 & | target,
|  | float | epsilon
| ) | const`[inline]`

  | 行列が同じかどうか Parameters:
  target | 比較する行列
  epsilon | 誤差
Returns: 誤差の範囲内で同じ値であればtrueを返す Definition at line 1533 of file Matrix44.h. References Assert, m00, m01, m02, m03, m10, m11, m12, m13, m20, m21, m22, m23, m30, m31, m32, and m33.

void Lamp::Matrix44::getRotationAxis | ( | Vector3 * | axis,
|  | float * | radian
| ) | const`[inline]`

  | 軸指定回転の取得 Parameters:
  axis | [out]回転軸を格納するベクトルへのポインタ
  radian | [out]ラジアン単位での回転角度を格納するfloatへのポインタ
Definition at line 391 of file Matrix44.h. References m00, m01, m02, m10, m11, m12, m20, m21, m22, Lamp::Vector3::normalize(), Lamp::Vector3::set(), Lamp::Vector3::x, Lamp::Vector3::y, and Lamp::Vector3::z.

Quaternion Lamp::Matrix44::getRotationQuaternion | ( |  | ) | const`[inline]`

| 四元数回転の取得 Returns: 回転を表す四元数 Definition at line 484 of file Matrix44.h. References Lamp::Quaternion::array, m, m00, m01, m02, m10, m11, m12, m20, m21, m22, Lamp::Quaternion::w, Lamp::Quaternion::x, Lamp::Quaternion::y, and Lamp::Quaternion::z.

bool Lamp::Matrix44::getRotationXYZ | ( | Vector3 * | radian | ) | const`[inline]`

  | XYZ軸回転の取得. Parameters:
  radian | [out] 各軸におけるラジアン単位での回転角度
Returns: 答えが単一であればtrue Definition at line 561 of file Matrix44.h. References m00, m01, m10, m11, m20, m21, m22, Lamp::Vector3::x, Lamp::Vector3::y, and Lamp::Vector3::z. Referenced by Lamp::Camera::clippingSetup().

bool Lamp::Matrix44::getRotationXZY | ( | Vector3 * | radian | ) | const`[inline]`

  | XZY軸回転の取得. Parameters:
  radian | [out] 各軸におけるラジアン単位での回転角度
Returns: 答えが単一であればtrue Definition at line 608 of file Matrix44.h. References m00, m02, m10, m11, m12, m20, m22, Lamp::Vector3::x, Lamp::Vector3::y, and Lamp::Vector3::z.

bool Lamp::Matrix44::getRotationYXZ | ( | Vector3 * | radian | ) | const`[inline]`

  | YXZ軸回転の取得. Parameters:
  radian | [out] 各軸におけるラジアン単位での回転角度
Returns: 答えが単一であればtrue Definition at line 655 of file Matrix44.h. References m00, m01, m10, m11, m20, m21, m22, Lamp::Vector3::x, Lamp::Vector3::y, and Lamp::Vector3::z.

bool Lamp::Matrix44::getRotationYZX | ( | Vector3 * | radian | ) | const`[inline]`

  | YZX軸回転の取得. Parameters:
  radian | [out] 各軸におけるラジアン単位での回転角度
Returns: 答えが単一であればtrue Definition at line 702 of file Matrix44.h. References m00, m01, m02, m11, m12, m21, m22, Lamp::Vector3::x, Lamp::Vector3::y, and Lamp::Vector3::z.

bool Lamp::Matrix44::getRotationZXY | ( | Vector3 * | radian | ) | const`[inline]`

  | ZXY軸回転の取得. Parameters:
  radian | [out] 各軸におけるラジアン単位での回転角度
Returns: 答えが単一であればtrue Definition at line 749 of file Matrix44.h. References m00, m02, m10, m11, m12, m20, m22, Lamp::Vector3::x, Lamp::Vector3::y, and Lamp::Vector3::z.

bool Lamp::Matrix44::getRotationZYX | ( | Vector3 * | radian | ) | const`[inline]`

  | ZYX軸回転の取得. Parameters:
  radian | [out] 各軸におけるラジアン単位での回転角度
Returns: 答えが単一であればtrue Definition at line 796 of file Matrix44.h. References m00, m01, m02, m10, m12, m20, m22, Lamp::Vector3::x, Lamp::Vector3::y, and Lamp::Vector3::z.

Vector3 Lamp::Matrix44::getTranslation | ( |  | ) | const`[inline]`

| 移動の取得 Returns: 移動値 Definition at line 868 of file Matrix44.h. References m03, m13, and m23. Referenced by Lamp::Camera::clippingSetup(), Lamp::Plane::scaledTransform(), and Lamp::Plane::transform().

float Lamp::Matrix44::invert | ( | Matrix44 * | invertMatrix | ) | const`[inline]`

  | 逆行列 Parameters:
  invertMatrix | [out] 逆行列を格納する行列へのポインタ
Returns: 行列式 Definition at line 1376 of file Matrix44.h. References Assert, m00, m01, m02, m03, m10, m11, m12, m13, m20, m21, m22, m23, m30, m31, m32, m33, and NULL.

float Lamp::Matrix44::invert | ( |  | ) | `[inline]`

| 逆行列 Returns: 行列式 Definition at line 1290 of file Matrix44.h. References Assert, m00, m01, m02, m03, m10, m11, m12, m13, m20, m21, m22, m23, m30, m31, m32, and m33. Referenced by Lamp::Camera::clippingSetup().

void Lamp::Matrix44::invertTransformation | ( | Matrix44 * | invertMatrix | ) | const`[inline]`

  | 変換行列の逆行列 変換行列には回転と移動しか含まれていないと仮定する Parameters:
  invertMatrix | [out] 逆行列を格納する行列へのポインタ
Definition at line 1483 of file Matrix44.h. References Assert, m00, m01, m02, m03, m10, m11, m12, m13, m20, m21, m22, m23, m30, m31, m32, m33, Lamp::Vector3::x, Lamp::Vector3::y, and Lamp::Vector3::z.

void Lamp::Matrix44::invertTransformation | ( |  | ) | `[inline]`

| 変換行列の逆行列 変換行列には回転と移動しか含まれていないと仮定する Definition at line 1463 of file Matrix44.h. References Assert, m00, m01, m02, m03, m10, m11, m12, m13, m20, m21, m22, m23, m30, m31, m32, m33, Lamp::Vector3::x, Lamp::Vector3::y, and Lamp::Vector3::z.

Vector3 Lamp::Matrix44::multiply33 | ( | const Vector3 & | vector | ) | const`[inline]`

  | 3x3のベクトル乗算 Parameters:
  vector | 3x3の乗算をするベクトル
Returns: 3x3の乗算されたベクトル Definition at line 1197 of file Matrix44.h. References m00, m01, m02, m10, m11, m12, m20, m21, m22, Lamp::Vector3::x, Lamp::Vector3::y, and Lamp::Vector3::z. Referenced by Lamp::Capsule::scaledTransform(), Lamp::Segment::transform(), Lamp::Ray::transform(), Lamp::Plane::transform(), Lamp::Line::transform(), Lamp::Cone::transform(), and Lamp::Capsule::transform().

bool Lamp::Matrix44::notEpsilonEquals | ( | const Matrix44 & | target,
|  | float | epsilon
| ) | const`[inline]`

  | 行列が同じでないかどうか Parameters:
  target | 比較する行列
  epsilon | 誤差
Returns: 誤差の範囲内で同じでない値であればtrueを返す Definition at line 1577 of file Matrix44.h. References Assert, m00, m01, m02, m03, m10, m11, m12, m13, m20, m21, m22, m23, m30, m31, m32, and m33.

Matrix44 Lamp::Matrix44::operator * | ( | float | value | ) | const`[inline]`

  | スカラー乗算 Parameters:
  value | 乗算するスカラー
Returns: 乗算された行列 Definition at line 1209 of file Matrix44.h. References m00, m01, m02, m03, m10, m11, m12, m13, m20, m21, m22, m23, m30, m31, m32, m33, and Matrix44().

Vector3 Lamp::Matrix44::operator * | ( | const Vector3 & | vector | ) | const`[inline]`

  | ベクトル乗算 Parameters:
  vector | 乗算するベクトル
Returns: 乗算されたベクトル Definition at line 1185 of file Matrix44.h. References m00, m01, m02, m03, m10, m11, m12, m13, m20, m21, m22, m23, Lamp::Vector3::x, Lamp::Vector3::y, and Lamp::Vector3::z.

Matrix44 Lamp::Matrix44::operator * | ( | const Matrix44 & | mtx | ) | const`[inline]`

  | 行列乗算 左側の行列から順に計算が適用されます。 Parameters:
  mtx | 乗算する行列
Returns: 乗算された行列 Definition at line 1104 of file Matrix44.h. References m00, m01, m02, m03, m10, m11, m12, m13, m20, m21, m22, m23, m30, m31, m32, m33, and Matrix44().

Matrix44& Lamp::Matrix44::operator *= | ( | float | value | ) | `[inline]`

  | スカラー乗算 Parameters:
  value | 乗算するスカラー
Returns: 乗算された行列 Definition at line 1222 of file Matrix44.h. References m00, m01, m02, m03, m10, m11, m12, m13, m20, m21, m22, m23, m30, m31, m32, and m33.

Matrix44& Lamp::Matrix44::operator *= | ( | Matrix44 | mtx | ) | `[inline]`

  | 代入行列乗算 左側の行列から順に計算が適用されます。 Parameters:
  mtx | 乗算する行列
Returns: 乗算された行列 Definition at line 1131 of file Matrix44.h. References m00, m01, m02, m03, m10, m11, m12, m13, m20, m21, m22, m23, m30, m31, m32, and m33.

bool Lamp::Matrix44::operator!= | ( | const Matrix44 & | target | ) | const`[inline]`

  | 行列が同じでないかどうか Parameters:
  target | 比較する行列
Returns: 同じでない値であればtrueを返す Definition at line 1559 of file Matrix44.h. References m00, m01, m02, m03, m10, m11, m12, m13, m20, m21, m22, m23, m30, m31, m32, and m33.

bool Lamp::Matrix44::operator== | ( | const Matrix44 & | target | ) | const`[inline]`

  | 行列が同じかどうか Parameters:
  target | 比較する行列
Returns: 同じ値であればtrueを返す Definition at line 1515 of file Matrix44.h. References m00, m01, m02, m03, m10, m11, m12, m13, m20, m21, m22, m23, m30, m31, m32, and m33.

void Lamp::Matrix44::set | ( | const Matrix34 & | source | ) |

  | 3×4行列の設定 Parameters:
  source | 設定元行列
Definition at line 59 of file Matrix44.cpp. References Lamp::Matrix34::m00, Lamp::Matrix34::m01, Lamp::Matrix34::m02, Lamp::Matrix34::m03, Lamp::Matrix34::m10, Lamp::Matrix34::m11, Lamp::Matrix34::m12, Lamp::Matrix34::m13, Lamp::Matrix34::m20, Lamp::Matrix34::m21, Lamp::Matrix34::m22, Lamp::Matrix34::m23, and set().

void Lamp::Matrix44::set | ( | const Matrix33 & | source | ) |

  | 3×3行列の設定 Parameters:
  source | 設定元行列
Definition at line 51 of file Matrix44.cpp. References Lamp::Matrix33::m00, Lamp::Matrix33::m01, Lamp::Matrix33::m02, Lamp::Matrix33::m10, Lamp::Matrix33::m11, Lamp::Matrix33::m12, Lamp::Matrix33::m20, Lamp::Matrix33::m21, Lamp::Matrix33::m22, and set().

void Lamp::Matrix44::set | ( | const float *const | source | ) | `[inline]`

  | 値の設定 Parameters:
  source | 設定値配列
Definition at line 190 of file Matrix44.h. References m00, m01, m02, m03, m10, m11, m12, m13, m20, m21, m22, m23, m30, m31, m32, and m33.

void Lamp::Matrix44::set | ( | float | s00,
|  | float | s01,
|  | float | s02,
|  | float | s03,
|  | float | s10,
|  | float | s11,
|  | float | s12,
|  | float | s13,
|  | float | s20,
|  | float | s21,
|  | float | s22,
|  | float | s23,
|  | float | s30,
|  | float | s31,
|  | float | s32,
|  | float | s33
| ) | `[inline]`

  | 値の設定 Parameters:
  s00 | m00の設定値
  s01 | m01の設定値
  s02 | m02の設定値
  s03 | m03の設定値
  s10 | m10の設定値
  s11 | m11の設定値
  s12 | m12の設定値
  s13 | m13の設定値
  s20 | m20の設定値
  s21 | m21の設定値
  s22 | m22の設定値
  s23 | m23の設定値
  s30 | m30の設定値
  s31 | m31の設定値
  s32 | m32の設定値
  s33 | m33の設定値
Definition at line 175 of file Matrix44.h. References m00, m01, m02, m03, m10, m11, m12, m13, m20, m21, m22, m23, m30, m31, m32, and m33. Referenced by Lamp::SpriteRenderer::applyRendererState(), Lamp::Camera::buildPerspectiveMatrix(), set(), Lamp::Camera::setLookAt(), setRotationAxis(), setRotationX(), setRotationY(), setRotationZ(), setScale(), setTranslation(), setUnit(), and setZero().

void Lamp::Matrix44::setRotationAxis | ( | const Vector3 & | axis,
|  | float | radian
| ) | `[inline]`

  | 軸指定回転の設定 Parameters:
  axis | 回転軸
  radian | ラジアン単位での回転角度
Definition at line 355 of file Matrix44.h. References Assert, Lamp::Vector3::isUnit(), set(), Lamp::Vector3::x, Lamp::Vector3::y, and Lamp::Vector3::z. Referenced by addRotationAxis().

void Lamp::Matrix44::setRotationQuaternion | ( | const Quaternion & | quaternion | ) | `[inline]`

  | 四元数回転の設定 Parameters:
  quaternion | 四元数
Definition at line 435 of file Matrix44.h. References Assert, Lamp::Quaternion::isUnit(), m00, m01, m02, m03, m10, m11, m12, m13, m20, m21, m22, m23, m30, m31, m32, m33, Lamp::Quaternion::w, Lamp::Quaternion::x, Lamp::Quaternion::y, and Lamp::Quaternion::z. Referenced by addRotationQuaternion().

void Lamp::Matrix44::setRotationX | ( | float | radian | ) | `[inline]`

  | X軸回転の設定. Parameters:
  radian | ラジアン単位での回転角度
Definition at line 282 of file Matrix44.h. References set(). Referenced by addRotationX(), and setRotationXZY().

void Lamp::Matrix44::setRotationXYZ | ( | const Vector3 & | radian | ) | `[inline]`

  | XYZ軸回転の設定. Parameters:
  radian | 各軸におけるラジアン単位での回転角度
Definition at line 518 of file Matrix44.h. References m00, m01, m02, m03, m10, m11, m12, m13, m20, m21, m22, m23, m30, m31, m32, m33, Lamp::Vector3::x, Lamp::Vector3::y, and Lamp::Vector3::z. Referenced by addRotationXYZ().

void Lamp::Matrix44::setRotationXZY | ( | const Vector3 & | radian | ) | `[inline]`

  | XZY軸回転の設定. Parameters:
  radian | 各軸におけるラジアン単位での回転角度
Definition at line 587 of file Matrix44.h. References addRotationY(), addRotationZ(), setRotationX(), Lamp::Vector3::x, Lamp::Vector3::y, and Lamp::Vector3::z. Referenced by addRotationXZY().

void Lamp::Matrix44::setRotationY | ( | float | radian | ) | `[inline]`

  | Y軸回転の設定. Parameters:
  radian | ラジアン単位での回転角度
Definition at line 306 of file Matrix44.h. References set(). Referenced by addRotationY(), setRotationYXZ(), and setRotationYZX().

void Lamp::Matrix44::setRotationYXZ | ( | const Vector3 & | radian | ) | `[inline]`

  | YXZ軸回転の設定. Parameters:
  radian | 各軸におけるラジアン単位での回転角度
Definition at line 634 of file Matrix44.h. References addRotationX(), addRotationZ(), setRotationY(), Lamp::Vector3::x, Lamp::Vector3::y, and Lamp::Vector3::z. Referenced by addRotationYXZ().

void Lamp::Matrix44::setRotationYZX | ( | const Vector3 & | radian | ) | `[inline]`

  | YZX軸回転の設定. Parameters:
  radian | 各軸におけるラジアン単位での回転角度
Definition at line 681 of file Matrix44.h. References addRotationX(), addRotationZ(), setRotationY(), Lamp::Vector3::x, Lamp::Vector3::y, and Lamp::Vector3::z. Referenced by addRotationYZX().

void Lamp::Matrix44::setRotationZ | ( | float | radian | ) | `[inline]`

  | Z軸回転の設定. Parameters:
  radian | ラジアン単位での回転角度
Definition at line 330 of file Matrix44.h. References set(). Referenced by addRotationZ(), setRotationZXY(), and setRotationZYX().

void Lamp::Matrix44::setRotationZXY | ( | const Vector3 & | radian | ) | `[inline]`

  | ZXY軸回転の設定. Parameters:
  radian | 各軸におけるラジアン単位での回転角度
Definition at line 728 of file Matrix44.h. References addRotationX(), addRotationY(), setRotationZ(), Lamp::Vector3::x, Lamp::Vector3::y, and Lamp::Vector3::z. Referenced by addRotationZXY().

void Lamp::Matrix44::setRotationZYX | ( | const Vector3 & | radian | ) | `[inline]`

  | ZYX軸回転の設定. Parameters:
  radian | 各軸におけるラジアン単位での回転角度
Definition at line 775 of file Matrix44.h. References addRotationX(), addRotationY(), setRotationZ(), Lamp::Vector3::x, Lamp::Vector3::y, and Lamp::Vector3::z. Referenced by addRotationZYX().

void Lamp::Matrix44::setScale | ( | const Vector3 & | scale | ) | `[inline]`

  | スケールの設定 Parameters:
  scale | スケール値
Definition at line 249 of file Matrix44.h. References setScale(), Lamp::Vector3::x, Lamp::Vector3::y, and Lamp::Vector3::z.

void Lamp::Matrix44::setScale | ( | float | scaleX,
|  | float | scaleY,
|  | float | scaleZ
| ) | `[inline]`

  | スケールの設定 Parameters:
  scaleX | Xスケール値
  scaleY | Yスケール値
  scaleZ | Zスケール値
Definition at line 238 of file Matrix44.h. References set(). Referenced by addScale(), and setScale().

void Lamp::Matrix44::setTransformationQuaternion | ( | const Vector3 & | scale,
|  | const Quaternion & | quaternion,
|  | const Vector3 & | translation
| ) | `[inline]`

  | 四元数回転の変換設定 スケール、四元数回転、移動の順に変換する行列を作成します Parameters:
  scale | スケール値
  translation | 移動値
  quaternion | 四元数
Definition at line 1043 of file Matrix44.h. References Assert, Lamp::Quaternion::isUnit(), m00, m01, m02, m03, m10, m11, m12, m13, m20, m21, m22, m23, m30, m31, m32, m33, Lamp::Quaternion::w, Lamp::Vector3::x, Lamp::Quaternion::x, Lamp::Vector3::y, Lamp::Quaternion::y, Lamp::Vector3::z, and Lamp::Quaternion::z.

void Lamp::Matrix44::setTransformationQuaternion | ( | const Quaternion & | quaternion,
|  | const Vector3 & | translation
| ) | `[inline]`

  | 四元数回転の変換設定 四元数回転、移動の順に変換する行列を作成します Parameters:
  translation | 移動値
  quaternion | 四元数
Definition at line 984 of file Matrix44.h. References Assert, Lamp::Quaternion::isUnit(), m00, m01, m02, m03, m10, m11, m12, m13, m20, m21, m22, m23, m30, m31, m32, m33, Lamp::Quaternion::w, Lamp::Vector3::x, Lamp::Quaternion::x, Lamp::Vector3::y, Lamp::Quaternion::y, Lamp::Vector3::z, and Lamp::Quaternion::z. Referenced by addTransformationQuaternion().

void Lamp::Matrix44::setTransformationXYZ | ( | const Vector3 & | scale,
|  | const Vector3 & | radian,
|  | const Vector3 & | translation
| ) | `[inline]`

  | XYZ回転の変換設定. スケール、XYZ回転、移動の順に変換する行列を作成します Parameters:
  scale | スケール値
  radian | 各軸におけるラジアン単位での回転角度
  translation | 移動値
Definition at line 932 of file Matrix44.h. References m00, m01, m02, m03, m10, m11, m12, m13, m20, m21, m22, m23, m30, m31, m32, m33, Lamp::Vector3::x, Lamp::Vector3::y, and Lamp::Vector3::z.

void Lamp::Matrix44::setTransformationXYZ | ( | const Vector3 & | radian,
|  | const Vector3 & | translation
| ) | `[inline]`

  | XYZ回転の変換設定. XYZ回転、移動の順に変換する行列を作成します Parameters:
  radian | 各軸におけるラジアン単位での回転角度
  translation | 移動値
Definition at line 880 of file Matrix44.h. References m00, m01, m02, m03, m10, m11, m12, m13, m20, m21, m22, m23, m30, m31, m32, m33, Lamp::Vector3::x, Lamp::Vector3::y, and Lamp::Vector3::z. Referenced by addTransformationXYZ().

void Lamp::Matrix44::setTranslation | ( | const Vector3 & | translation | ) | `[inline]`

  | 移動の設定 Parameters:
  translation | 移動値
Definition at line 837 of file Matrix44.h. References setTranslation(), Lamp::Vector3::x, Lamp::Vector3::y, and Lamp::Vector3::z.

void Lamp::Matrix44::setTranslation | ( | float | translationX,
|  | float | translationY,
|  | float | translationZ
| ) | `[inline]`

  | 移動の設定 Parameters:
  translationX | X移動値
  translationY | Y移動値
  translationZ | Z移動値
Definition at line 825 of file Matrix44.h. References set(). Referenced by addTranslation(), Lamp::SpriteRenderer::applyRendererState(), Lamp::Camera::setTransformation(), and setTranslation().

String Lamp::Matrix44::toString | ( |  | ) | const`[inline]`

| 文字列化 Returns: 行列の文字列表記 Definition at line 1605 of file Matrix44.h. References Lamp::String::format(), m00, m01, m02, m03, m10, m11, m12, m13, m20, m21, m22, m23, m30, m31, m32, and m33.

The documentation for this class was generated from the following files:

- Matrix44.h
- Matrix44.cpp